Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class SnapshotCommand

    java.lang.Object
      org.apache.cassandra.db.SnapshotCommand

All Implemented Interfaces:
  MessageProducer

    public class SnapshotCommand

extends java.lang.Object
implements MessageProducer

Field Summary
`boolean` | `clear_snapshot`
`java.lang.String` | `column_family`
`java.lang.String` | `keyspace`
`java.lang.String` | `snapshot_name`

Constructor Summary
`SnapshotCommand(java.lang.String keyspace, java.lang.String columnFamily, java.lang.String snapshotName, boolean clearSnapshot)`

Method Summary
`Message` | `getMessage(java.lang.Integer version)`
`static SnapshotCommand` | `read(Message message)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### keyspace

    public final java.lang.String keyspace

### column_family

    public final java.lang.String column_family

### snapshot_name

    public final java.lang.String snapshot_name

### clear_snapshot

    public final boolean clear_snapshot

Constructor Detail

### SnapshotCommand

    public SnapshotCommand(java.lang.String keyspace,
                           java.lang.String columnFamily,
                           java.lang.String snapshotName,
                           boolean clearSnapshot)

Method Detail

### getMessage

    public Message getMessage(java.lang.Integer version)
                       throws java.io.IOException

  Specified by:
    `getMessage` in interface `MessageProducer`
  Throws:
    `java.io.IOException`

### read

    public static SnapshotCommand read(Message message)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation